from django.contrib import admin
from guardian.admin import GuardedModelAdmin
from .models import Stream, Restream


@admin.register(Stream)
class StreamAdmin(GuardedModelAdmin):
    fields = ['stream', 'name', 'publish_counter']

@admin.register(Restream)
class RestreamAdmin(GuardedModelAdmin):
    fields = ['name', 'active', 'stream', 'format', 'target']
